package org.jvnet.jaxbcommons.addon;

import java.util.Iterator;

import javax.xml.namespace.QName;

import org.jvnet.jaxbcommons.util.CustomizationUtils;

import com.sun.tools.xjc.grammar.ClassItem;
import com.sun.tools.xjc.grammar.FieldItem;

public class CustomizedIgnoring implements Ignoring {

	private final QName[] ignoredCustomizationElementNames;

	public CustomizedIgnoring(QName[] names) {
		this.ignoredCustomizationElementNames = names;
	}

	public QName[] getIgnoredCustomizationElementNames() {
		return ignoredCustomizationElementNames;
	}

	public boolean isIgnored(ClassItem classItem) {
		final QName[] ignoredCustomizationElementNames = getIgnoredCustomizationElementNames();
		for (int index = 0; index < ignoredCustomizationElementNames.length; index++) {
			QName name = ignoredCustomizationElementNames[index];
			if (CustomizationUtils.containsCustomization(classItem, name)) {
				return true;
			}
		}
		return false;
	}

	public boolean isIgnored(FieldItem fieldItem) {
		final QName[] ignoredCustomizationElementNames = getIgnoredCustomizationElementNames();
		for (int index = 0; index < ignoredCustomizationElementNames.length; index++) {
			QName name = ignoredCustomizationElementNames[index];
			if (CustomizationUtils.containsCustomization(fieldItem, name)) {
				return true;
			}
		}
		return false;
	}

}
